Loading...
Searching...
No Matches
serial::PortDispatcher Interface Reference

Top-level interface of the serial port manager. More...

## Public Member Functions

map< string, SerialPort > | getPorts ()
| Get serial ports.

## Detailed Description

Top-level interface of the serial port manager.

Definition at line 14 of file PortDispatcher.idl.

## Member Function Documentation

## getPorts()

map< string, SerialPort > serial::PortDispatcher::getPorts | ( |  | ) |

Get serial ports.

Returns a map of serial ports that are both

- available on the device
- monitored by the system

The mapping is 'symbolic port name' -> 'port instance'.

Returns
  – A map with available port instances

The documentation for this interface was generated from the following file:

- PortDispatcher.idl